using System;

namespace Prvi
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] brojevi = Console.ReadLine().Split();
            int prvi = int.Parse(brojevi[0]);
            int drugi = int.Parse(brojevi[1]);
            string slovo1 = s[0].ToString();
            string slovo2 = s[1].ToString();
            if (Math.Abs(prvi - drugi) > 1)
            {
                Console.Write("nemoguce");
            }
            else
            {
                if(prvi > drugi)
                {
                    Console.Write(s[0]);
                    for (int i = 1; i < prvi; i++)
                    {
                        Console.Write(slovo2 + slovo1);
                    }
                }
                else if(drugi > prvi)
                {
                    Console.Write(s[1]);
                    for (int i = 1; i < drugi; i++)
                    {
                        Console.Write(slovo1 + slovo2);
                    }
                }
                else
                {
                    for (int i = 0; i < drugi; i++)
                    {
                        Console.Write(slovo1 + slovo2);
                    }
                }
            }
        }
    }
}